<?php

/*--------------------------------------------------------------
Events List
--------------------------------------------------------------*/

if ( ! function_exists( 'ghostpool_events_list' ) ) {

	function ghostpool_events_list( $atts, $content = null ) {
	
		extract( shortcode_atts( array(
			'title' => '',
			'limit' => '5',			
			'no_upcoming_events' => false,
			'classes' => '',
			'title_format' => 'gp-standard-title',
			'title_color' => '',	
			'icon' => '',	
		), $atts ) );
		
		if ( class_exists( 'Tribe__Events__Pro__Main' ) ) {
			$type = 'Tribe__Events__Pro__Advanced_List_Widget';
		} else {
			$type = 'Tribe__Events__List_Widget';
		}
				
		// Title color
		if ( $title_color ) {
			$title_color = ' style="background-color: ' . esc_attr( $title_color ) . '; border-color: ' . esc_attr( $title_color ) . '"';
		} else {
			$title_color = '';
		}
		
		// Add icon
		if ( $icon ) {
			$title_icon = '<i class="gp-element-icon fa ' . sanitize_html_class( $icon ) . '"></i>';
		} else {
			$title_icon = '';
		}
				
		$args = array(
			'before_title' => '<h3 class="widgettitle ' . $title_format . '"' . $title_color . '>' . wp_kses_post( $title_icon ) . '<span class="gp-widget-title">',
			'after_title' => '</span><div class="gp-triangle"></div></h3>',
		);

		ob_start();

		$query_args = array(
			'post_status'         => 'publish',
			'post_type'           => 'tribe_events',
			'posts_per_page'      => $limit,
		);
		
		$query = new WP_Query( $query_args ); ?>

		<div class="widget tribe-events-list-widget">

			<?php 

			echo $args['before_title']; 

			echo $title;

			echo $args['after_title']; 
			
			?>		
		
			<?php if ( $query->have_posts() ) : ?>
			
				<ol class="tribe-events-list-widget">
			
					<?php while ( $query->have_posts() ) : $query->the_post(); ?>
		
						<li class="">
							<h4 class="tribe-event-title"><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h4>
							<div class="tribe-event-duration"> 
								<span class="tribe-event-date-start"><?php echo date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), strtotime( get_post_meta( get_the_ID(), '_EventStartDateUTC', true ) ) ); ?></span> - <span class="tribe-event-date-end"><?php echo date( get_option( 'date_format' ) . ' ' . get_option( 'time_format' ), strtotime( get_post_meta( get_the_ID(), '_EventEndDateUTC', true ) ) ); ?></span>
							</div>				
						</li>
			
					<?php endwhile; ?>
		
					<?php if ( tribe_events_get_url() ) { ?>
						<p class="tribe-events-widget-link"><a href="<?php echo tribe_events_get_url(); ?>" rel="bookmark"><?php echo esc_html__( 'View All Events', 'socialize-plugin' ); ?></a></p>
					<?php } ?>
			
				</ol>

			<?php else : ?>

				<?php echo esc_html__( 'No events found', 'socialize-plugin' ); ?>

			<?php endif; wp_reset_postdata(); ?>
		
		</div>

		<?php
		
		$output_string = ob_get_contents();
		ob_end_clean();
		return $output_string;
		
	}
}
add_shortcode( 'events_list', 'ghostpool_events_list' );