<?php

namespace ERROPiX\VCSE;

use ArrayAccess;

class ArrayObject implements ArrayAccess
{
    public function __construct($data = array())
    {
        if (is_array($data)) {
            foreach ($data as $name => $value) {
                $this->__set($name, $value);
            }
        }
    }

    static function __set_state($data = array())
    {
        return new self($data);
    }

    public function __set($name, $value)
    {
        if (is_array($value)) {
            $value = new self($value);
        }
        if(property_exists($this, $name)) {
            $this->$name = $value;
        }    
    }

    public function __get($name)
    {
        if (property_exists($this, $name)) {
            return $this->$name;
        }

        return null;
    }

    public function __isset($name)
    {
        return property_exists($this, $name);
    }

    public function __unset($name)
    {
        unset($this->$name);
    }

#[\ReturnTypeWillChange] 
    public function offsetExists($offset) : mixed
    {
        return $this->__isset($offset);
    }

#[\ReturnTypeWillChange] 
    public function offsetGet($offset) : mixed
    {
        return $this->__get($offset);
    }

#[\ReturnTypeWillChange] 
    public function offsetSet($offset, $value) : mixed
    {
        $this->__set($offset, $value);
    }

#[\ReturnTypeWillChange] 
    public function offsetUnset($offset) : mixed
    {
        $this->__unset($offset);
    }
}
